Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
I cannot use nm-applet as normal user
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Dec 12, 2010 1:22 pm    Post subject: I cannot use nm-applet as normal user Reply with quote

Hi, it's been a while since the last time I had to mess with nm-applet. Today I tried to launch a VPN session that used to work months ago but I got the following error


Code:
** (nm-applet:7549): WARNING **: <WARN>  activate_vpn_cb(): VPN Connection activation failed: (org.freedesktop.NetworkManager.PermissionDenied) No user settings service available


Then I realised that nm-applet can do NOTHING as normal user

Code:
** (nm-applet:7549): WARNING **: <WARN>  activate_connection_cb(): Connection activation failed: Not authorized to control networking.


I even removed all the nm-applet packages, dbus configurations and merged them again. Still nothing. I found this guide

http://en.gentoo-wiki.com/wiki/NetworkManager

That says that only works with NetworkManager 0.7. However I use the latest ~arch packages. Can you please help me understand how to make nm-applet and consequently NetworkManager to work as normal user?

Thank you
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Dec 12, 2010 3:03 pm    Post subject: Reply with quote

I opened this bug

https://bugs.gentoo.org/show_bug.cgi?id=348517
Back to top
View user's profile Send private message
Dagger
Retired Dev
Retired Dev


Joined: 11 Jun 2003
Posts: 765
Location: UK

PostPosted: Tue Dec 14, 2010 10:05 am    Post subject: Reply with quote

Hi Hwoarang,

It's highly recommended to use polkit. Plugdev was used ages ago when polkit was hard masked and many people didn't really want to use it.

If you really really don't want to use polkit, you can modify dbus policy (same was as we did for anything before 0.8.2). Please check out this file:
net-misc/networkmanager/files/networkmanager-0.8.1-confchanges.patch
_________________
95% of all computer errors occur between chair and keyboard (TM)
Join the FSF as an Associate Member!
Post under CC license.
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Dec 14, 2010 11:22 am    Post subject: Reply with quote

Polkit?


I do have polkit installed however I am not sure how to use it


I guess the behavior changed from 0.8.1 to 0.8.2. Apply same policy rules on dbus for 0.8.2 does not fix the problem for me
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Dec 19, 2010 12:28 am    Post subject: Reply with quote

Seems like many people have problems with 0.8.2 and polkit

http://old.nabble.com/No-user-settings-service-available-td30477671.html

Is there a working polkit configuration? Is there a decent way to use nm-applet as user and manage my connections as I used to do with 0.8.1?

Thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum